package crous;

import static org.junit.Assert.*;

import org.junit.Test;
import static org.mockito.Mockito.*;

public class TestSoldeCarteInsuffisant {

	@Test
	public void testPayerRepasEchoue() throws SoldeInsuffisantException, CarteManquanteException {
		// setUp
		MachineCrous machine = new MachineCrous();
		Carte carte = mock(Carte.class); // interface Carte
		machine.associer(carte);
		int prixRepas = 4;
		doThrow(new SoldeInsuffisantException()).when(carte).debiter(prixRepas); // stubbing
		
		try {
			machine.payerRepas(prixRepas); // code a tester
			fail();
		} catch (SoldeInsuffisantException e) {
			verify(carte).debiter(prixRepas); // verif des interactions
		}
	}

}
